Show / Hide Table of Contents

# Class ClientCapabilities

Defines a class that describes the capabilities of a language client. At this time no specific capabilities are listed for clients.

##### Inheritance

System.Object
ClientCapabilities

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ClientCapabilities